Anima=require 'Anima'

--this is our arrow image (free.gen's image actually)
img_arrow=love.graphics.newImage("arrow.png")

--create our animation object
anim_arrow=Anima:init();

--anima doesn't support delays (not yet), so this is a workaround
local timer=0

local animations={
	{['y']=30,['dy']=1,},    --y is the key for y-movement, dy is the speed
	{['op']=-1,['dop']=0.01} --op is the key for opacity, dop is the speed
}

anim_arrow:animationStart()
function love.update(dt)
	anim_arrow:updateT(animations)  --note we are updating from table so updateT
	
	if anim_arrow:stagingComplete() then
		timer=timer+dt
		if timer>2 then
			timer=0
			anim_arrow:restart()       --restart the animation
		end
	end
end

function love.draw()
	anim_arrow:render(img_arrow,300,300)  --render the image at given position, with given rotation,etc..
end
